Subject: [RFC PATCH v2 0/4] CPUs capacity information for heterogeneous systems

From: [email-masked] (Steve Muckle)
Date: Tue, 19 Jan 2016 11:48:15 -0800

On 01/19/2016 06:29 AM, Juri Lelli wrote:
>>> Two questions:
>>> > > 
>>> > > 1. How is the boot time affected by the benchmark?
>>> > > 2. How is the boot time affected by considering all the CPUs the same?
>>> > > 
>>> > > My preference is for DT and sysfs (especially useful for
>>> > > development/tuning) but I'm not opposed to a boot-time benchmark if
>>> > > people insist on it. If the answer to point 2 is "insignificant", we
>>> > > could as well defer the capacity setting to user space (sysfs).
>>> > > 
>> > 
>> > Given that we are not targeting boot time with this, but rather better
>> > performance afterwards, I don't expect significant differences; but,
>> > I'll get numbers :).
>> > 
> I've got some boot time numbers on TC2 and Juno based on timestamps.
> They are of course not accurate and maybe not so representative of
> products, but I guess still ballpark right.
> 
> I'm generally seeing ~1sec increase in boot time for 1 and practically
> no difference for 2 (even after having added patches that provide
> runtime performance improvements).

One second is considerable IMO. Aside from the general desire to have
shorter boot times on any platform there are environments like
automotive where boot time is critical.

How are the CPUs numbered on TC2 and Juno? When all CPUs are considered
the same, is work running on the big CPUs because of the way they are
numbered?

thanks,
Steve